/** reject.js - javascript for the berzerk reject ip page
 * 
 */

function onloadReject() {
	$("input[type='text']").change(function() {
		injectReject();
	});
}

function injectReject() {
	var ip = $("#inpIP").val();
	var d = $("#output");
	var s = ip + " injected rejected by user";
	$.get("reject?" + s, function(response) {
		var v = $.xml2json(response);
		if (v === undefined || v.length == 0 || v.Line === undefined) {
			d.html('N/A');
			return;
		}
		if (v.Error !== undefined) {
			d.html(v.Error);
		}
	})
	.fail(function() {
		d.html('<div class="errorClass">testfilter command failed</div>');
	});
}
